/*
 * Copyright (c) 2024 Xilinx
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.

 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this package; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef __GST_AMA_VP9_DEC_H__
#define __GST_AMA_VP9_DEC_H__

#include "gstamadec.h"

G_BEGIN_DECLS

#define GST_TYPE_AMA_VP9_DEC (gst_ama_vp9_dec_get_type ())
G_DECLARE_FINAL_TYPE (GstAMAVP9Dec, gst_ama_vp9_dec, GST, AMA_VP9_DEC, GstAMADec)

struct _GstAMAVP9Dec
{
  GstAMADec parent_class;
};

GST_ELEMENT_REGISTER_DECLARE (ama_vp9dec);

G_END_DECLS

#endif /* __GST_AMA_VP9_DEC_H__ */
